namespace TwitchChatTTS.Bus
{
    public class ServiceBusData
    {
        public string Topic { get; }
        public object? Sender { get; }
        public object? Value { get; }
        public DateTime Timestamp { get; }

        public ServiceBusData(object sender, string topic, object value)
        {
            Topic = topic;
            Sender = sender;
            Value = value;
            Timestamp = DateTime.UtcNow;
        }
    }
}